import { Injectable } from '@angular/core';
import { ConfigService } from '@shared/config/config.service';
import { HttpClient } from '@angular/common/http';
import { FleioApiService } from '@fleio-api/fleio-api.service';
import { ILBRuleModel } from '@fleio-api/openstack/load-balancing/model/lb-rule.model';

@Injectable({
  providedIn: 'root',
})
export class LBRulesApiService extends FleioApiService<ILBRuleModel> {
  constructor(protected httpClient: HttpClient, protected config: ConfigService) {
    super();
    this.setEndpoint(config.getPanelApiUrl('openstack/lbaas-l7rules'));
  }
}
